%define upstream_name    Unix-Mknod
%define upstream_version 0.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Interface mknod, major, minor, and makedev
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Unix/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
This module allows access to the device routines major()/minor()/makedev()
that may or may not be macros in .h files.

It also allows access to the 'mknod(2)' system call.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.40.0-12.mga6
+ Revision: 1035564
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.40.0-11.mga6
+ Revision: 958190
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.40.0-10.mga6
+ Revision: 845465
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.40.0-9.mga6
+ Revision: 841299
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-8.mga5
+ Revision: 750596
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-7.mga5
+ Revision: 686802
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.40.0-6.mga5
+ Revision: 631858
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.40.0-5.mga4
+ Revision: 524535
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.40.0-4.mga4
+ Revision: 430992
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-3.mga3
+ Revision: 374623
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.40.0-2.mga3
+ Revision: 251291
- rebuild for perl 5.16
- imported package perl-Unix-Mknod


* Sat Aug 20 2011 cpan2dist 0.04-1mga
- initial mageia release, generated with cpan2dist
